<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.1"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output method="xml" version="1.0"
              encoding="ISO-8859-1" indent="yes"/>

<xsl:template match="/">

  <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <fo:layout-master-set>

  <!-- layout for the first page -->
  <fo:simple-page-master master-name="coverpage"
                page-height="29.7cm"
                page-width="21cm"
                margin-top="7cm"
                margin-bottom="2cm"
                margin-left="2.5cm"
                margin-right="2.5cm">
    <fo:region-body margin-top="3cm"  margin-bottom="1.5cm"/>
    <fo:region-before extent="2cm"/>
    <fo:region-after extent="1.5cm"/>
  </fo:simple-page-master>

  <!-- layout for all other pages -->
  <fo:simple-page-master master-name="pages"
                page-height="29.7cm"
                page-width="21cm"
                margin-top="1cm"
                margin-bottom="2cm"
                margin-left="2.5cm"
                margin-right="2.5cm">
    <fo:region-body margin-top="1cm"  margin-bottom="1cm"/>
    <fo:region-before extent="2cm"/>
    <fo:region-after extent="1.5cm"/>
  </fo:simple-page-master>

  </fo:layout-master-set>

  <!-- filling the front page -->
  <fo:page-sequence master-reference="coverpage">
  <fo:flow flow-name="xsl-region-body">
  <fo:block font-weight="bold" font-size="28pt"
            line-height="38pt" font-family="Times">
 Olympiske resultater
  </fo:block>
  <fo:block font-weight="normal" font-size="13pt"
            line-height="15pt" font-family="Times">
  Results from the latest Olympics
  </fo:block>
    </fo:flow>
    </fo:page-sequence>

  <!-- doing all olympics in turn -->
  <xsl:apply-templates select="/IOC/OlympicGame">
    <xsl:sort select="@year"/>
  </xsl:apply-templates>

</fo:root>
</xsl:template>

<xsl:template match="//OlympicGame">
    <fo:page-sequence  master-reference="pages">
    <fo:flow flow-name="xsl-region-body">
      <fo:block font-weight="bold" font-size="18pt"
                line-height="28pt" font-family="Times"
                padding-top="0cm"
                border-bottom-color="black"
                border-bottom-style="solid">
        <xsl:element name="fo:external-graphic">
           <xsl:attribute name="src">images/<xsl:value-of select="@place"/>.gif</xsl:attribute>
        </xsl:element>
      </fo:block>
              <xsl:apply-templates select="event">
              <xsl:sort select="@track"/>
              </xsl:apply-templates>
      </fo:flow>
    </fo:page-sequence>
</xsl:template>

<xsl:template match="//event">
  <fo:block font-weight="bold" font-size="12pt"
           line-height="14pt" font-family="Times"
            padding-top="1cm"  >
         <xsl:value-of select="@track"/>
  </fo:block>
  <xsl:apply-templates select="athlet">
  <xsl:sort  data-type="number" select="result"/>
  </xsl:apply-templates>
</xsl:template>

<xsl:template match="//athlet">
  <fo:block font-size="10pt" line-height="14pt"
           font-family="Times" >
      <xsl:value-of select="name"/>,
      <xsl:value-of select="nation"/>   :
      <xsl:value-of select="result"/>
  </fo:block>
</xsl:template>

</xsl:stylesheet>
